Subject: FVWM on FC3

From: Scott Smedley <[email-masked]>
Date: Thu, 24 Feb 2005 14:58:06 +1100

Hi all,

Is anyone running a recent version of FVWM on Fedora Core 3?

I compiled 2.5.12 & CVS versions from source last night on a
fresh FC3 install & it hung consistently (using default config).
Didn't have much chance to investigate other than a few stack traces:

(gdb) where
#0  0x008dc7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x009b2cfd in ___newselect_nocancel () from /lib/tls/libc.so.6
#2  0x00a7df92 in _XEnq () from /usr/X11R6/lib/libX11.so.6
#3  0x00a7e36e in _XRead () from /usr/X11R6/lib/libX11.so.6
#4  0x00a7f4cb in _XReply () from /usr/X11R6/lib/libX11.so.6
#5  0x00a7a0f6 in XSync () from /usr/X11R6/lib/libX11.so.6
#6  0x0808ab8e in frame_move_resize (fw=0x9d6b8d8, mr_args=0x9d8f7b8)
    at frame.c:1024
#7  0x0808b966 in __frame_setup_window (fw=0x9d6b8d8, frame_g=0xfefa9d90,
    do_send_configure_notify=1, do_force=1, is_application_request=0)
    at frame.c:396
#8  0x0808bb34 in frame_force_setup_window (fw=0xfffffdfe, x=0, y=0, w=0, h=0,
    do_send_configure_notify=1) at frame.c:2056
#9  0x080ab344 in apply_window_updates (t=0x9d6b8d8, flags=0xfefaa218,
    pstyle=0xfefaa220, focus_w=0x9d6b8d8) at update.c:364
#10 0x080abad4 in flush_window_updates () at update.c:713
#11 0x080653d9 in HandleEvents () at events.c:3841
#12 0x08085b96 in main (argc=1, argv=0xfefab024) at fvwm.c:2520
 
(gdb) where
#0  0x008dc7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x009b2cfd in ___newselect_nocancel () from /lib/tls/libc.so.6
#2  0x00a7df92 in _XEnq () from /usr/X11R6/lib/libX11.so.6
#3  0x00a7e36e in _XRead () from /usr/X11R6/lib/libX11.so.6
#4  0x00a7f4cb in _XReply () from /usr/X11R6/lib/libX11.so.6
#5  0x00a6629c in XGetGeometry () from /usr/X11R6/lib/libX11.so.6
#6  0x08063fa1 in HandlePropertyNotify (ea=0xfee86b74) at events.c:3106
#7  0x08065343 in dispatch_event (e=0xfee86bc0) at events.c:3804
#8  0x08065409 in HandleEvents () at events.c:3849
#9  0x08085b96 in main (argc=1, argv=0xfee87824) at fvwm.c:2520

So I thought I'd ask if anyone else has problems on FC3 before I
start debugging ...

SCoTT. :)
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]